> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Digital Human Voices



## OpenAPI

````yaml /openapi/digitalhuman.json post /digital-human/voices
openapi: 3.0.0
info:
  title: Digital Human
  version: 1.0.0
  description: API reference for Digital Human on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /digital-human/voices:
    post:
      summary: Digital Human Voices
      operationId: createDigitalHumanVoices
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - audio_url
              properties:
                audio_url:
                  type: string
                  description: Public URL of a clean 10-20s voice sample.
                  example: >-
                    https://cdn1.suno.ai/ec13e502-d043-4eb2-92ee-e900c6da69d1.wav
                lang:
                  type: string
                  enum:
                    - zh
                    - en
                  default: zh
                name:
                  type: string
                  description: Optional label.
                async:
                  type: boolean
                  default: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                example:
                  success: true
                  task_id: ...
                  trace_id: ...
                  voice_id: f754a190e26c
                  state: succeed
                properties:
                  success:
                    type: boolean
                  task_id:
                    type: string
                  trace_id:
                    type: string
                  voice_id:
                    type: string
                  state:
                    type: string
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: bad_request
                    message: audio_url is required
                  trace_id: ...
                additionalProperties: true
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: invalid_token
                    message: The specified token is invalid or wrong.
                  trace_id: ...
                additionalProperties: true
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                example:
                  error:
                    code: api_error
                    message: voice clone (asr) failed
                  trace_id: ...
                additionalProperties: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.